using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
public partial class EmpReg : System.Web.UI.Page
{
    SqlConnection con = new SqlConnection(ConfigurationManager.AppSettings["con"]);
    SqlCommand cmd;

    int year = 0;
    int month = 0;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            ddlDesig.Items.Insert(0, "Select");
            //ddlSpecili.Items.Insert(0, "-Select-");
        }
        btnsave.Attributes.Add("onclick", "return check();");
        txtDoj.Text = DateTime.Now.ToString();
        int i;
        ArrayList AlMonth = new ArrayList();
        for (i = 1; i <= 12; i++)
            AlMonth.Add(i);

        if (!IsPostBack)
        {
            ArrayList AlYear = new ArrayList();
            for (i = 1910; i <= 2009; i++)
                AlYear.Add(i);

            ddlmonth.DataSource = AlMonth;
            ddlmonth.DataBind();
            ddlyear.DataSource = AlYear;
            ddlyear.DataBind();
            year = Int32.Parse(ddlyear.SelectedValue);
            month = Int32.Parse(ddlmonth.SelectedValue);
            BindDays(year, month);
        }
    }
    private bool CheckLeap(int year)
    {
        if ((year % 4 == 0) && (year % 100 != 0) || (year % 400 == 0))
            return true;
        else
            return false;
    }
    private void BindDays(int year, int month)
    {
        int i;
        ArrayList AlDay = new ArrayList();

        switch (month)
        {
            case 1:
            case 3:
            case 5:
            case 7:
            case 8:
            case 10:
            case 12:
                for (i = 1; i <= 31; i++)
                    AlDay.Add(i);
                break;
            case 2:
                if (CheckLeap(year))
                {
                    for (i = 1; i <= 29; i++)
                        AlDay.Add(i);
                }
                else
                {
                    for (i = 1; i <= 28; i++)
                        AlDay.Add(i);
                }
                break;
            case 4:
            case 6:
            case 9:
            case 11:
                for (i = 1; i <= 30; i++)
                    AlDay.Add(i);
                break;
        }
        ddlday.DataSource = AlDay;
        ddlday.DataBind();
    }
    protected void ddlmonth_SelectedIndexChanged(object sender, EventArgs e)
    {
        year = Int32.Parse(ddlyear.SelectedValue);
        month = Int32.Parse(ddlmonth.SelectedValue);
        BindDays(year, month);
    }
    protected void ddlyear_SelectedIndexChanged(object sender, EventArgs e)
    {
        year = Int32.Parse(ddlyear.SelectedValue);
        month = Int32.Parse(ddlmonth.SelectedValue);
        BindDays(year, month);
    }
    protected void ddlday_SelectedIndexChanged(object sender, EventArgs e)
    {
        string date = ddlyear.SelectedValue + "/" + ddlmonth.SelectedValue + "/" + ddlday.SelectedValue;
        DateTime dt;
        dt = Convert.ToDateTime(date);
        int month = Convert.ToInt32(ddlmonth.SelectedValue);
        int years = DateTime.Now.Year - dt.Year;
        if (DateTime.Now.Month < month || (DateTime.Now.Month == month))
            years = years - 1;
        txtAge.Text = years.ToString();
        // ddlday.SelectedItem.Value = ddlday.SelectedValue;
    }
    protected void btnsave_Click(object sender, EventArgs e)
    {
        try
        {
            string date = ddlyear.SelectedValue + "/" + ddlmonth.SelectedValue + "/" + ddlday.SelectedValue;
            DateTime dt;
            dt = Convert.ToDateTime(date);
            string gender = "";
            string country = "";
            string special = "---";
            if (ddlSpecili.SelectedIndex != -1)
            {
                special = ddlSpecili.SelectedItem.Text;
            }

            if (radGender.SelectedIndex != -1)
            {
                gender = radGender.SelectedItem.Text;
            }
            if (ddlCountry.SelectedIndex != -1)
            {
                country = ddlCountry.SelectedItem.Text;
            }
            string sql = "insert into emp_reg(name ,designation ,specilization ,dob ,age,gender ,phone ,country ,state ,city ,street ,zipcode ,doj ,uname ,pwd) values('" + txtName.Text + "','" + ddlDesig.SelectedItem.Text + "','" + special + "','" + dt + "','" + txtAge.Text + "','" + gender + "','" + txtPhone.Text + "','" + country + "','" + txtState.Text + "','" + txtCity.Text + "','" + txtStreet.Text + "','" + txtZipcode.Text + "','" + txtDoj.Text + "','" + txtUname.Text + "','" + txtPwd.Text + "')";
            con.Open();
            cmd = new SqlCommand(sql, con);
            cmd.ExecuteNonQuery();
            con.Close();
            txtName.Text = "";
            txtAge.Text = "";
            txtPhone.Text = "";
            txtState.Text = "";
            txtCity.Text = "";
            txtStreet.Text = "";
            txtZipcode.Text = "";
            txtUname.Text = "";
            ddlDesig.SelectedIndex = 0;
            ddlSpecili.SelectedIndex = 0;
            ddlyear.SelectedIndex = 0;
            ddlmonth.SelectedIndex = 0;
            ddlday.SelectedIndex = 0;
            ddlCountry.SelectedIndex = 0;
            ClientScript.RegisterStartupScript(typeof(Page), "alert", "<script>alert('RegisteredSuccesfully')</script>");
        }
        catch (Exception ex)
        {
            string sa = ex.Message;
            ClientScript.RegisterStartupScript(typeof(Page), "alert", "<script>alert('UserName Alredy Exist ')</script>");
            Response.Redirect("EmpReg.aspx");  
        }
    }
    protected void ddlDesig_SelectedIndexChanged1(object sender, EventArgs e)
    {
        if (ddlDesig.SelectedItem.Text == "Doctor")
        {
            ddlSpecili.Visible = true;
            lblspecial.Visible = true;
            ddlSpecili.Items.Add("General");
            ddlSpecili.Items.Add("DIABETOLOGY");
            ddlSpecili.Items.Add("CARDILOGY");
            ddlSpecili.Items.Add("DENTAL");
            ddlSpecili.Items.Add("DERMATOLOGY");
            ddlSpecili.Items.Add("DIABETOLOGY");
            ddlSpecili.Items.Add("GASTROENTELOGY");
            ddlSpecili.Items.Add("NEUROLOGY");
            ddlSpecili.Items.Add("SURGERY");
            ddlSpecili.Items.Add("ORTHOPEDIS");
            ddlSpecili.Items.Add("OBSTERICS");
            ddlSpecili.Items.Add("UROLOGY");
            ddlSpecili.Items.Add("E.N.T");
            ddlSpecili.Items.Add("HEART-CARDIOLOGY");
            ddlSpecili.Items.Add("COSMETIC SURGERY");
            ddlSpecili.Items.Add("ONCOLOGY");
            ddlSpecili.Items.Add("PSYCHOLOGY");
            ddlSpecili.Items.Add("NEPHROLOGY");
            ddlSpecili.Items.Add("VASCULAR SURGERY");
        }
        else
        {
            ddlSpecili.Visible = false;
            lblspecial.Visible = false;
        }
    }
    protected void LinkButton1_Click(object sender, EventArgs e)
    {
        Response.Redirect("Home.aspx");
    }
    protected void Button2_Click(object sender, EventArgs e)
    {
        Response.Redirect("Home.aspx");
    }
}
