using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
public partial class patient_enq : System.Web.UI.Page
{
    SqlConnection con = new SqlConnection(ConfigurationManager.AppSettings["con"]);

    SqlCommand cmd;
    SqlDataReader dr;
    int year = 0;
    int month = 0;
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!Page.IsPostBack)
        {
            ddlspecial.Items.Insert(0, "-Select-");
            ddlDoctor.Items.Insert(0, "-Select-");
        }
        if (Session["success"] != null)
        {
            Response.Write("<script>alert('PatientRegisteredCompleted')</script>");
            Session.Remove("success");
        }
        btnsave.Attributes.Add("onclick", "return check();");
        cmd = new SqlCommand("select oid from patient_enq", con);
        con.Open();
        int id = 0;
        dr = cmd.ExecuteReader();
        while (dr.Read())
        {
            id = Convert.ToInt32(dr["oid"]);
        }
        id = id + 1;
        con.Close();
        txtID.Text = id.ToString("2000");
        txtadmit.Text = DateTime.Now.ToString();

        ArrayList AlYear = new ArrayList();
        int i;
        for (i = 1910; i <= 2009; i++)
            AlYear.Add(i);
        ArrayList AlMonth = new ArrayList();
        for (i = 1; i <= 12; i++)
            AlMonth.Add(i);


        if (!IsPostBack)
        {
            ddlmonth.DataSource = AlMonth;
            ddlmonth.DataBind();
            ddlyear.DataSource = AlYear;
            ddlyear.DataBind();
            year = Int32.Parse(ddlyear.SelectedValue);
            month = Int32.Parse(ddlmonth.SelectedValue);
            BindDays(year, month);
        }
    }
    private bool CheckLeap(int year)
    {
        if ((year % 4 == 0) && (year % 100 != 0) || (year % 400 == 0))
            return true;
        else
            return false;
    }
    private void BindDays(int year, int month)
    {
        int i;
        ArrayList AlDay = new ArrayList();

        switch (month)
        {
            case 1:
            case 3:
            case 5:
            case 7:
            case 8:
            case 10:
            case 12:
                for (i = 1; i <= 31; i++)
                    AlDay.Add(i);
                break;
            case 2:
                if (CheckLeap(year))
                {
                    for (i = 1; i <= 29; i++)
                        AlDay.Add(i);
                }
                else
                {
                    for (i = 1; i <= 28; i++)
                        AlDay.Add(i);
                }
                break;
            case 4:
            case 6:
            case 9:
            case 11:
                for (i = 1; i <= 30; i++)
                    AlDay.Add(i);
                break;
        }
        ddlday.DataSource = AlDay;
        ddlday.DataBind();

    }

    protected void btncancel_Click(object sender, EventArgs e)
    {
        Response.Redirect("patient_enq.aspx");
    }


    protected void LinkButton2_Click(object sender, EventArgs e)
    {
        Response.Redirect("Home.aspx");
    }


    protected void ddlspecial_SelectedIndexChanged(object sender, EventArgs e)
    {

        if (ddlspecial.SelectedItem.Text == "Specialist")
        {
            lstSpecial.Visible = true;
            lstSpecial.Items.Add("DIABETOLOGY");
            lstSpecial.Items.Add("CARDILOGY");
            lstSpecial.Items.Add("DENTAL");
            lstSpecial.Items.Add("DERMATOLOGY");
            lstSpecial.Items.Add("DIABETOLOGY");
            lstSpecial.Items.Add("GASTROENTELOGY");
            lstSpecial.Items.Add("NEUROLOGY");
            lstSpecial.Items.Add("SURGERY");
            lstSpecial.Items.Add("ORTHOPEDIS");
            lstSpecial.Items.Add("OBSTERICS");
            lstSpecial.Items.Add("UROLOGY");
            lstSpecial.Items.Add("E.N.T");
            lstSpecial.Items.Add("HEART-CARDIOLOGY");
            lstSpecial.Items.Add("COSMETIC SURGERY");
            lstSpecial.Items.Add("ONCOLOGY");
            lstSpecial.Items.Add("PSYCHOLOGY");
            lstSpecial.Items.Add("NEPHROLOGY");
            lstSpecial.Items.Add("VASCULAR SURGERY");

        }
        else
            lstSpecial.Visible = false;

        if (ddlspecial.SelectedItem.Text == "General")
        {
            ddlDoctor.Items.Clear();
            string sql = "select name from emp_reg where specilization = 'General'";
            cmd = new SqlCommand(sql, con);
            con.Open();
            dr = cmd.ExecuteReader();
            while (dr.Read())
            {
                ddlDoctor.Items.Add(Convert.ToString(dr["name"]));
            }
            con.Close();

        }

    }
    protected void lstSpecial_SelectedIndexChanged(object sender, EventArgs e)
    {
        ddlDoctor.Items.Clear();
        if (lstSpecial.SelectedItem.Text == "DIABETOLOGY")
        {
            string sql = "select name from emp_reg where specilization = 'DIABETOLOGY'";
            cmd = new SqlCommand(sql, con);
            con.Open();
            dr = cmd.ExecuteReader();
            while (dr.Read())
            {
                ddlDoctor.Items.Add(Convert.ToString(dr["name"]));
            }
            con.Close();

        }
        if (lstSpecial.SelectedItem.Text == "DERMATOLOGY")
        {
            string sql = "select name from emp_reg where specilization = 'DERMATOLOGY'";
            cmd = new SqlCommand(sql, con);
            con.Open();
            dr = cmd.ExecuteReader();
            while (dr.Read())
            {
                ddlDoctor.Items.Add(Convert.ToString(dr["name"]));
            }
            con.Close();

        }
        if (lstSpecial.SelectedItem.Text == "CARDILOGY")
        {
            string sql = "select name from emp_reg where specilization = 'CARDILOGY'";
            cmd = new SqlCommand(sql, con);
            con.Open();
            dr = cmd.ExecuteReader();
            while (dr.Read())
            {
                ddlDoctor.Items.Add(Convert.ToString(dr["name"]));
            }
            con.Close();
        }
        if (lstSpecial.SelectedItem.Text == "DENTAL")
        {
            string sql = "select name from emp_reg where specilization = 'DENTAL'";
            cmd = new SqlCommand(sql, con);
            con.Open();
            dr = cmd.ExecuteReader();
            while (dr.Read())
            {
                ddlDoctor.Items.Add(Convert.ToString(dr["name"]));
            }
            con.Close();
        }
        if (lstSpecial.SelectedItem.Text == "HEART-CARDIOLOGY")
        {
            string sql = "select name from emp_reg where specilization = 'HEART-CARDIOLOGY'";
            cmd = new SqlCommand(sql, con);
            con.Open();
            dr = cmd.ExecuteReader();
            while (dr.Read())
            {
                ddlDoctor.Items.Add(Convert.ToString(dr["name"]));
            }
            con.Close();
        }
        else
        {
            string sql = "select name from emp_reg where specilization = '" + lstSpecial.SelectedItem.Text + "'";
            cmd = new SqlCommand(sql, con);
            con.Open();
            dr = cmd.ExecuteReader();
            while (dr.Read())
            {
                ddlDoctor.Items.Add(Convert.ToString(dr["name"]));
            }
            con.Close();
        }
    }
    protected void ddlmonth_SelectedIndexChanged(object sender, EventArgs e)
    {
        year = Int32.Parse(ddlyear.SelectedValue);
        month = Int32.Parse(ddlmonth.SelectedValue);
        BindDays(year, month);
    }
    protected void ddlyear_SelectedIndexChanged(object sender, EventArgs e)
    {
        year = Int32.Parse(ddlyear.SelectedValue);
        month = Int32.Parse(ddlmonth.SelectedValue);
        BindDays(year, month);
    }
    protected void ddlday_SelectedIndexChanged(object sender, EventArgs e)
    {
        string date = ddlmonth.SelectedValue + "/" + ddlday.SelectedValue + "/" + ddlyear.SelectedValue;
        DateTime dt;
        dt = Convert.ToDateTime(date);
        int month = Convert.ToInt32(ddlmonth.SelectedValue);
        int years = DateTime.Now.Year - dt.Year;
        if (DateTime.Now.Month < month || (DateTime.Now.Month == month))
            years = years - 1;
        txtage.Text = years.ToString();
        ddlday.SelectedItem.Value = ddlday.SelectedValue;
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        string sql = "select pid from patient_enq where pid='" + TextBox1.Text + "'";
        cmd = new SqlCommand(sql, con);
        con.Open();
        dr = cmd.ExecuteReader();
        try
        {
            if (dr.Read())
            {
                Session["pid"] = dr["pid"].ToString();
                Response.Redirect("patient_search.aspx");
            }
            else
            {
                Label22.Visible = true;
            }
        }
        catch (Exception ex)
        {
            string sa = ex.Message;
            Label22.Visible = true;
        }
    }
    protected void AdvanceSearch_Click(object sender, EventArgs e)
    {
        string sql = "select Pid,Pname,Dob,Gender,MarritalStatus,Country,Zipcode,Admitdate from patient_enq where pname='" + TextBox2.Text + "' or dob='" + TextBox3.Text + "' or zipcode='" + TextBox4.Text + "'";
        cmd = new SqlCommand(sql, con);
        con.Open();
        dr = cmd.ExecuteReader();
        if (dr.Read())
        {
            Session["pname"] = dr["pname"].ToString();
            Session["dob"] = dr["dob"].ToString();
            Session["zipcode"] = dr["zipcode"].ToString();
            Response.Redirect("patient_search.aspx");
        }
        else
        {
            Label23.Visible = true;
        }
    }
    protected void btnsave_Click(object sender, EventArgs e)
    {
        string specilization = "";
        string doctor = "";
        string gender = "";
        string marital = "";
        int visit = 1;
        if (ddlspecial.SelectedIndex != 0)
        {
            if (ddlspecial.SelectedIndex == 1)
                specilization = ddlspecial.SelectedItem.Text;
            if (ddlspecial.SelectedIndex == 2)
                specilization = lstSpecial.SelectedItem.Text;
        }
        if (ddlDoctor.SelectedIndex >= 0)
            doctor = ddlDoctor.SelectedItem.Text;
        if (rblgender.SelectedIndex != -1)
            gender = rblgender.SelectedItem.Text;
        if (rblmarital.SelectedIndex != -1)
            marital = rblmarital.SelectedItem.Text;
        string date = ddlyear.SelectedValue + "/" + ddlmonth.SelectedValue + "/" + ddlday.SelectedValue;
        DateTime dt;
        dt = Convert.ToDateTime(date);


        cmd = new SqlCommand("select * from patient_enq where pname='" + txtname.Text + "' and phone='" + txtphone.Text + "' and country='" + txtCountry.Text + "' and state='" + txtState.Text + "' and city='" + txtcity.Text + "' and zipcode='" + txtzipcode.Text + "'", con);
        con.Open();
        dr = cmd.ExecuteReader();

        if (dr.Read())
        {
            ClientScript.RegisterStartupScript(typeof(Page), "alert", "<script>alert('PatientAlreadyRegistered')</script>");

        }
        else
        {
            if (con.State == ConnectionState.Open)
                con.Close();
            con.Open();

            string sql = "insert into patient_enq(specilization ,doctor ,pid,pname,dob,age,gender ,marritalStatus,phone ,country ,state ,city ,zipcode ,admitdate,visit) values('" + specilization + "','" + "[1]" + doctor + "','" + txtID.Text + "','" + txtname.Text + "','" + dt + "','" + txtage.Text + "','" + gender + "','" + marital + "','" + txtphone.Text + "','" + txtCountry.Text + "','" + txtState.Text + "','" + txtcity.Text + "','" + txtzipcode.Text + "','" + "[1]" + txtadmit.Text + "','" + visit + "' )";
            cmd = new SqlCommand(sql, con);
            try
            {
                cmd.ExecuteNonQuery();
                Session["success"] = "yes";
                //ClientScript.RegisterStartupScript(typeof(Page), "alert", "<script>alert('PatientRegisteredCompleted')</script>");
            }
            finally
            {
                con.Close();
                //ClientScript.RegisterStartupScript(typeof(Page), "alert", "<script>alert('PatientRegisteredCompleted')</script>");
            }
            Response.Redirect("patient_enq.aspx");
        }
    }
    protected void ddlDoctor_SelectedIndexChanged(object sender, EventArgs e)
    {

    }
    protected void txtCountry_TextChanged(object sender, EventArgs e)
    {

    }
}
